Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class AMHomeDesc

`java.lang.Object
oracle.jbo.common.ampool.AMHomeDesc`

public class AMHomeDesc
extends java.lang.Object

Constructor Summary
`AMHomeDesc(java.util.Hashtable env, java.lang.String connectString, java.lang.String userName, java.lang.String password, int maxNumOfInsts)`

Method Summary
`java.lang.String` | `getConnectString()`
`java.util.Hashtable` | `getEnv()`
`int` | `getMaxNumOfInsts()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUserName()`
`void` | `setMaxNumOfInsts(int maxNumOfInsts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMHomeDesc

    public AMHomeDesc(java.util.Hashtable env,
                      java.lang.String connectString,
                      java.lang.String userName,
                      java.lang.String password,
                      int maxNumOfInsts)

Method Detail

### getEnv

    public java.util.Hashtable getEnv()

### getConnectString

    public java.lang.String getConnectString()

### getUserName

    public java.lang.String getUserName()

### getPassword

    public java.lang.String getPassword()

### getMaxNumOfInsts

    public int getMaxNumOfInsts()

### setMaxNumOfInsts

    public void setMaxNumOfInsts(int maxNumOfInsts)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.